﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Windows;
using System.Windows.Controls;

namespace Client
{
    public partial class MainPage : Page
    {
        Company mCompany = new Company();

        public MainPage()
        {
            this.InitializeComponent();

            // Enter construction logic here...

            mCompany = new Company { Name = 1.2 };
            this.g.DataContext = mCompany;
        }

        public class Company : INotifyPropertyChanged
        {
            private double name;
            public event PropertyChangedEventHandler PropertyChanged;
            public double Name
            {
                get { return name; }
                set
                {
                    name = value;
                    if (this.PropertyChanged != null)
                    {
                        this.PropertyChanged.Invoke(this, new PropertyChangedEventArgs("Name"));
                    }
                }
            }
        }


        private void Button_Click(object sender, RoutedEventArgs e)
        {
            mCompany.Name = 3.0;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            MessageBox.Show((this.g.DataContext as Company).Name.ToString());
        }
    }
}
